Skip to main content
`Ctrl`+`K`

# DMAdaptFlag

Marker in the label prescribing what adaptation to perform

## Synopsis

    typedef enum {
      DM_ADAPT_DETERMINE      = PETSC_DETERMINE,
      DM_ADAPT_KEEP           = 0,
      DM_ADAPT_REFINE         = 1,
      DM_ADAPT_COARSEN        = 2,
      DM_ADAPT_COARSEN_LAST   = 3,
      DM_ADAPT_RESERVED_COUNT = 4
    } DMAdaptFlag;

## Values

- `DM_ADAPT_DETERMINE` - undocumented

- `DM_ADAPT_KEEP` - undocumented

- `DM_ADAPT_REFINE` - undocumented

- `DM_ADAPT_COARSEN` - undocumented

- `DM_ADAPT_COARSEN_LAST` - undocumented

## See Also

DM Basics, `DM`, `DMAdaptor`, `DMAdaptationStrategy`, `DMAdaptationCriterion`, `DMAdaptorSolve()`, `DMAdaptLabel()`

## Level

beginner

## Location

include/petscdmtypes.h

## Examples

src/snes/tutorials/ex27.c
src/dm/impls/plex/tutorials/ex10.c
src/ts/tutorials/ex11.c

## Examples

src/snes/tutorials/ex27.c
src/dm/impls/plex/tutorials/ex10.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex30.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages